Bug 1420222 - [GSS](6.4.z) Very poor performance with TieredCompilation flag turned on
Summary: [GSS](6.4.z) Very poor performance with TieredCompilation flag turned on
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA, jbossas
Version: 6.4.13
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Peter Palaga
QA Contact: Martin Simka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 08:56 UTC by Tom Ross
Modified: 2020-03-11 15:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:43:56 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEAP-12059 0 Major Closed [GSS] (7.2.0) Very poor performance with TieredCompilation flag turned on 2020-01-30 16:52:00 UTC

Description Tom Ross 2017-02-08 08:56:12 UTC
Customer has reported a very poor performance with JBoss and JDK 8. When they turned the -XX:+TieredCompilation flag off they saw a dramatic improvement in JBoss server performance. 

In this particular case it was the JCA subsystem that was most affected with getConnection() times varying from 1ms to 540ms. All other factors (like GC for example) have been eliminated). Once the flag has been turned off the getConnection() was performing consistently within the requirements.

They argue we should turn this flag off by default. The JDK 8 turns it on by default.

Comment 2 Jiří Bílek 2017-06-21 12:05:55 UTC
We used java 1.8.0_121 with perf tests in 6.4.16 CP testing.
TieredCompilation is not explicitly set in any perf test.

Comment 3 Peter Palaga 2017-06-21 12:56:40 UTC
Thanks Jirko, 1.8.0_121 means TieredCompilation on by default. 

Could you please compare 1.8.0_121 against 1.8.0_<20 or against 1.8.0_121 with TieredCompilation off?

Comment 4 Peter Palaga 2017-06-30 09:14:06 UTC
Any news, Jirko?

Comment 6 Jiří Bílek 2017-07-03 08:41:43 UTC
There is a difference in my performance tests. 

A response time is cca 1600 ms with 300 clients when is set -XX:-TieredCompilation.
The response time is cca 1800 ms with 300 clients when is set -XX:+TieredCompilation.


Note You need to log in before you can comment on or make changes to this bug.